---------------------------------------------------------
--Instance Module Template for BossTactics
--refer www.bosstactics.net for howto create modules!
---------------------------------------------------------

--available buttontypes:
--f: rangedDPS, h: healer, t: tank, n:melee, b,x,y,z: boss
--empty captions are not "" please use " " or you will get exceptions!

--local variable definition dont change!!
local BT_main = LibStub("AceAddon-3.0"):GetAddon( "BossTactics" )

BT_DragonSoul = LibStub("AceAddon-3.0"):NewAddon("BT_DragonSoul","AceConsole-3.0");
local L = LibStub("AceLocale-3.0"):GetLocale("BT_DragonSoul")

--feel free to use localisations from the framework
local L_main = LibStub("AceLocale-3.0"):GetLocale("BossTactics")

local BabbleBoss = LibStub("LibBabble-Boss-3.0"):GetLookupTable();
local BabbleZone = LibStub("LibBabble-Zone-3.0"):GetLookupTable();

--db profile defaults add your boss-data here
local defaults = {
    profile = {
        ["instance"] = BabbleZone["Dragon Soul"], --instance name
		["version"] = 1.4, --change this to a higher value for update handling (explained in a tutorial)
		["initial"] = true, --never change this flag!
		["id"] = "BT_DragonSoul", --very important this must be the same name as your module case sensitive!
		["info"] = L["info"], --a short text you can add to the info frame, optional
		["patchlevel"] = "4.3", --put in the patchlevel to which this guide belongs to
		["bosses"] = {
			["mode25"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Morchok"],
					["displayId"] = 53691,
                    ["ratext"] = L["ra-Morchok"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Morchok"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Morchok"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 7, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
							{
										["y"] = -316.9056535799249,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 270.5318135044419,
									}, -- [1]
									{
										["y"] = -426.9930430345169,
										["type"] = "h",
										["x"] = 252.0258282190506,
									}, -- [2]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 252.0258282190506,
									}, -- [3]
									{
										["y"] = -426.9930430345169,
										["type"] = "f",
										["x"] = 287.0817267860028,
									}, -- [4]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 287.0817267860028,
									}, -- [5]
									{
										["y"] = -386.9473521520883,
										["type"] = "h",
										["x"] = 266.6898731013224,
									}, -- [6]
									{
										["y"] = -275.9762868614914,
										["type"] = "t",
										["x"] = 267.4463738384342,
									}, -- [7]
										
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
										["y"] = -316.9056535799249,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 270.5318135044419,
									}, -- [1]
									{
										["y"] = -186.9930430345169,
										["type"] = "h",
										["x"] = 169.5139736672199,
									}, -- [2]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 252.0258282190506,
									}, -- [3]
									{
										["y"] = -167.0491443696341,
										["type"] = "f",
										["x"] = 202.2175262680516,
									}, -- [4]
									{
										["y"] = -357.6397107192416,
										["type"] = "n",
										["x"] = 287.0817267860028,
									}, -- [5]
									{
										["y"] = -386.9473521520883,
										["type"] = "h",
										["x"] = 266.6898731013224,
									}, -- [6]
									{
										["y"] = -152.4558283059024,
										["type"] = "x",
										["x"] = 170.7748724218951,
									}, -- [7]
									{
										["y"] = -275.9762868614914,
										["type"] = "t",
										["x"] = 267.4463738384342,
									}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Left"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
				    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Spark"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
							},
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
										["y"] = -324.2344897227998,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 267.9808316038771,
									}, -- [1]
									{
										["y"] = -302.326413251368,
										["type"] = "n",
										["caption"] = " ",
										["x"] = 443.2627929444338,
									}, -- [2]
									{
										["y"] = -429.6647574089196,
										["type"] = "f",
										["caption"] = " ",
										["x"] = 417.2031098960371,
									}, -- [3]
									{
										["y"] = -405.8445518382456,
										["type"] = "h",
										["caption"] = " ",
										["x"] = 425.2929461092824,
									}, -- [4]
									{
										["y"] = -277.3939970091525,
										["type"] = "t",
										["caption"] = " ",
										["x"] = 445.7795834136599,
									}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Right"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Warlord Zon'ozz"],
					["displayId"] = 52498,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Warlord Zon'ozz"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Warlord Zon'ozz"],} }, --optional
                    ["ratext"] = L["ra-Warlord Zon'ozz"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -388.6071684461824,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 270.4666869685585,
								}, -- [2]
								{
									["y"] = -387.4724611083479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 238.0878741833452,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -258.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 259.2030571010882,
								}, -- [5]
								{
									["y"] = -362.7914998217487,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 268.9959126998592,
								}, -- [6]
								{
									["y"] = -312.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 251.4456632950162,
								}, -- [7]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"].." "..L["Range"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Orb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -388.6071684461824,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 270.4666869685585,
								}, -- [2]
								{
									["y"] = -387.4724611083479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 238.0878741833452,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -304.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 269.2030571010882,
								}, -- [5]
								{
									["y"] = -326.7914998217487,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 268.9959126998592,
								}, -- [6]
								{
									["y"] = -271.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 226.4456632950162,
								}, -- [7]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"].." "..L["Melee"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Orb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -304.1412026894513,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 297.4666869685585,
								}, -- [2]
								{
									["y"] = -277.8710488844981,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 307.5377480806951,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -304.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 269.2030571010882,
								}, -- [5]
								{
									["y"] = -271.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 226.4456632950162,
								}, -- [6]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[3] = {
                    ["name"] = BabbleBoss["Yor'sahj the Unsleeping"],
					["displayId"] = 52588,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Yor'sahj the Unsleeping"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Yor'sahj the Unsleeping"],} }, --optional
                    ["ratext"] = L["ra-Yor'sahj the Unsleeping"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Yor'sahj_the_Unsleeping",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -307.0552300132993,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 220.1278313428429,
								}, -- [1]
								{
									["y"] = -333.1289187683376,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 258.8221673954125,
								}, -- [2]
								{
									["y"] = -309.5214948958158,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 248.2216331953302,
								}, -- [3]
								{
									["y"] = -312.0367097230447,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 284.977089248972,
								}, -- [4]
								{
									["y"] = -292.0063083125168,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 273.129889593589,
								}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Yor'sahj the Unsleeping"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Yor'sahj_the_Unsleeping",
                            ["btnId"] = 7,
                            ["buttons"] = {
								{
									["y"] = -405.0245177143808,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 212.6444247200449,
								}, -- [1]
								{
									["y"] = -386.0000501962338,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 175.000043972995,
								}, -- [2]
								{
									["y"] = -373.1782369099472,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 204.642334258909,
								}, -- [3]
								{
									["y"] = -315.4112446812679,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 244.6882385095247,
								}, -- [4]
								{
									["y"] = -359.0552324752399,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 365.0461384769109,
								}, -- [5]
								{
									["y"] = -197.6808678012429,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 211.4432953184626,
								}, -- [6]
								{
									["y"] = -423.8406593733499,
									["type"] = "z",
									["caption"] = " ",
									["x"] = 175.4164686457159,
								}, -- [7]
								{
									["y"] = -383.1782369099472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 240.642334258909,
								}, -- [3]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Blood of Shu'ma\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Yor'sahj the Unsleeping"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
				    [8] = {
                                        ["type"] = "z",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 205/255,
                                        ["g"] = 120/255,
                                        ["b"] = 60/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[4] = {
                    ["name"] = BabbleBoss["Hagara the Stormbinder"],
					["displayId"] = 52530,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Hagara the Stormbinder"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Hagara the Stormbinder"],} }, --optional
                    ["ratext"] = L["ra-Hagara the Stormbinder"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -422.2845903512034,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 301.9365994212661,
								}, -- [1]
								{
									["y"] = -446.3634112950143,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 213.41027426634,
								}, -- [2]
								{
									["y"] = -463.5375589215907,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 242.8110361412199,
								}, -- [3]
								{
									["y"] = -366.4018908798162,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 334.3001810005067,
								}, -- [4]
								{
									["y"] = -387.8081078680135,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 312.1285521443469,
								}, -- [5]
								{
									["y"] = -403.3215638438306,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.3731482701687,
								}, -- [6]
								{
									["y"] = -386.3769697491098,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 398.1837804479652,
								}, -- [7]
								{
									["y"] = -349.3059651248331,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 410.1597450687842,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -422.2845903512034,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 301.9365994212661,
								}, -- [1]
								{
									["y"] = -446.3634112950143,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 213.41027426634,
								}, -- [2]
								{
									["y"] = -463.5375589215907,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 242.8110361412199,
								}, -- [3]
								{
									["y"] = -366.4018908798162,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 334.3001810005067,
								}, -- [4]
								{
									["y"] = -297.8036904626677,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 246.5355912155497,
								}, -- [5]
								{
									["y"] = -403.3215638438306,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.3731482701687,
								}, -- [6]
								{
									["y"] = -386.3769697491098,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 398.1837804479652,
								}, -- [7]
								{
									["y"] = -349.3059651248331,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 410.1597450687842,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Ice"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -209.4253005841433,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 139.7104164228946,
								}, -- [1]
								{
									["y"] = -416.9736964212479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 328.2033918566253,
								}, -- [2]
								{
									["y"] = -445.8747521902894,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 228.350931854783,
								}, -- [3]
								{
									["y"] = -162.2185761489518,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 234.0693918480085,
								}, -- [4]
								{
									["y"] = -307.0235771162893,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 389.1297913895131,
								}, -- [5]
								{
									["y"] = -208.2821548080572,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 325.8996281854178,
								}, -- [6]
								{
									["y"] = -295.4480006340865,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 89.64222983159438,
								}, -- [7]
								{
									["y"] = -297.8036904626677,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 246.5355912155497,
								}, -- [8]
								{
									["y"] = -384.969361217364,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 115.0690300111246,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Electricute"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
                    },
                },
				[5] = {
                    ["name"] = BabbleBoss["Ultraxion"],
					["displayId"] = 53494,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Ultraxion"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Ultraxion"],} }, --optional
                    ["ratext"] = L["ra-Ultraxion"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Ultraxion",
                            ["btnId"] = 22,
                            ["buttons"] = {
								{
									["y"] = -222.0000325170858,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 274.000051752545,
								}, -- [1]
								{
									["y"] = -283.0000287768576,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 206.0000777051486,
								}, -- [2]
								{
									["y"] = -378.0000902234634,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 246.0000624389112,
								}, -- [3]
								{
									["y"] = -183.9999102345238,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 354.000060301638,
								}, -- [4]
								{
									["y"] = -484.000088849502,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 45.00000725146279,
								}, -- [5]
								{
									["y"] = -301.0001391517544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 352.0000219833819,
								}, -- [6]
								{
									["y"] = -176.000010991691,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 347.0000043508777,
								}, -- [7]
								{
									["y"] = -196.0000033585722,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 201.0000014502926,
								}, -- [8]
								{
									["y"] = -188.0000845749555,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 206.9999991603569,
								}, -- [9]
								{
									["y"] = -161.9998795493865,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 272.0000525158569,
								}, -- [10]
								{
									["y"] = -157.9999006167942,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 267.0000153425686,
								}, -- [11]
								{
									["y"] = -372.0001315949669,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 123.0000116786717,
								}, -- [12]
								{
									["y"] = -400.9999055783213,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 339.0000074041251,
								}, -- [13]
								{
									["y"] = -480.0001294576936,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 210.9999780929493,
								}, -- [14]
								{
									["y"] = -474.0000926660613,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 382.9999515296961,
								}, -- [15]
								{
									["y"] = -410.9999408433299,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 439.0000474016673,
								}, -- [16]
								{
									["y"] = -340.0001047263889,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 465.0001156417487,
								}, -- [17]
								{
									["y"] = -343.000162203773,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 30.00000809110585,
								}, -- [18]
								{
									["y"] = -284.0001065583375,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 100.0000399975421,
								}, -- [19]
								{
									["y"] = -259.9999789325923,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 463.0000382419248,
								}, -- [20]
								{
									["y"] = -216.9999367214458,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 57.99999251954365,
								}, -- [21]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Ultraxion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Ultraxion",
                            ["btnId"] = 6,
                            ["buttons"] = {
								{
									["y"] = -209.0001742641006,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 277.9999329812176,
								}, -- [1]
								{
									["y"] = -302.9999234398192,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 270.9999551935931,
								}, -- [2]
								{
									["y"] = -286.0001253358095,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 265.0000551874484,
								}, -- [3]
								{
									["y"] = -318.9999368741081,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 259.0000183958161,
								}, -- [4]
								{
									["y"] = -314.0000755678754,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 286.999988168666,
								}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Ultraxion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[6] = {
                    ["name"] = BabbleBoss["Warmaster Blackhorn"],
					["displayId"] = 52571,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Warmaster Blackhorn"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Warmaster Blackhorn"],} }, --optional
                    ["ratext"] = L["ra-Warmaster Blackhorn"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -229.0222253741141,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 340.3925933610626,
								}, -- [1]
								{
									["y"] = -238.5036685992673,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.518578795538,
								}, -- [2]
								{
									["y"] = -223.3333174219023,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 322.8147312405425,
								}, -- [3]
								{
									["y"] = -176.8740950573054,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 157.3259276335806,
								}, -- [4]
								{
									["y"] = -220.4889509814629,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 355.9258323975109,
								}, -- [5]
								{
									["y"] = -210.0593214166745,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 138.2889860094069,
								}, -- [6]
								{
									["y"] = -357.0221290848809,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 266.7260778529908,
								}, -- [7]
								{
									["y"] = -184.4593581816544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 345.0591547569719,
								}, -- [8]
								{
									["y"] = -247.0370480347183,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [9]
								{
									["y"] = -218.5925958093257,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 179.6444063238775,
								}, -- [10]
								{
									["y"] = -243.2443902118438,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 169.2150218589553,
								}, -- [11]
								{
									["y"] = -252.7260435225966,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0667427315136,
								}, -- [12]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warmaster Blackhorn"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -229.9703416852161,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 105.6889180735233,
								}, -- [1]
								{
									["y"] = -247.0370480347183,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 103.3555323327688,
								}, -- [2]
								{
									["y"] = -247.9852343743535,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 119.0371618310848,
								}, -- [3]
								{
									["y"] = -319.0964962413348,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 381.5999733563315,
								}, -- [4]
								{
									["y"] = -324.7850540508805,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 361.2517824621061,
								}, -- [5]
								{
									["y"] = -340.9037316249472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 383.5702961666696,
								}, -- [6]
								{
									["y"] = -108.6074534841965,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 295.318517876185,
								}, -- [7]
								{
									["y"] = -111.4518724460358,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.555607613442,
								}, -- [8]
								{
									["y"] = -123.7777433865949,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 295.392608064319,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -186.3557133537916,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 171.9852105755942,
								}, -- [1]
								{
									["y"] = -257.46669510664,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.6520233629958,
								}, -- [2]
								{
									["y"] = -184.459218124588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 149.8148072187655,
								}, -- [3]
								{
									["y"] = -166.4445180139169,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 131.362953989544,
								}, -- [4]
								{
									["y"] = -159.8073536935367,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.4592703040517,
								}, -- [5]
								{
									["y"] = -213.851926718149,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 362.6372269630916,
								}, -- [6]
								{
									["y"] = -315.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 299.111263234726,
								}, -- [7]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 118.0150166068153,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warmaster Blackhorn"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
			[7] = {
                    ["name"] = BabbleBoss["Spine of Deathwing"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Spine of Deathwing"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Spine of Deathwing"],} }, --optional
                    ["ratext"] = L["ra-Spine of Deathwing"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -229.0222253741141,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 340.3925933610626,
								}, -- [1]
								{
									["y"] = -238.5036685992673,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.518578795538,
								}, -- [2]
								{
									["y"] = -223.3333174219023,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 322.8147312405425,
								}, -- [3]
								{
									["y"] = -176.8740950573054,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 157.3259276335806,
								}, -- [4]
								{
									["y"] = -220.4889509814629,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 355.9258323975109,
								}, -- [5]
								{
									["y"] = -210.0593214166745,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 138.2889860094069,
								}, -- [6]
								{
									["y"] = -357.0221290848809,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 266.7260778529908,
								}, -- [7]
								{
									["y"] = -184.4593581816544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 345.0591547569719,
								}, -- [8]
								{
									["y"] = -339.0074990027431,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 240.7629291376212,
								}, -- [9]
								{
									["y"] = -247.0370480347183,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [10]
								{
									["y"] = -218.5925958093257,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 179.6444063238775,
								}, -- [11]
								{
									["y"] = -243.2443902118438,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 169.2150218589553,
								}, -- [12]
								{
									["y"] = -252.7260435225966,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0667427315136,
								}, -- [13]
								{
									["y"] = -182.562985502384,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 256.8814666546214,
								}, -- [14]
								{
									["y"] = -160.7555400331719,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 268.6222754609283,
								}, -- [15]
								{
									["y"] = -218.5925958093257,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 162.1406343914914,
								}, -- [16]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Spine of Deathwing"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Onyxia"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -229.9703416852161,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 105.6889180735233,
								}, -- [1]
								{
									["y"] = -247.0370480347183,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 103.3555323327688,
								}, -- [2]
								{
									["y"] = -247.9852343743535,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 119.0371618310848,
								}, -- [3]
								{
									["y"] = -319.0964962413348,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 381.5999733563315,
								}, -- [4]
								{
									["y"] = -324.7850540508805,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 361.2517824621061,
								}, -- [5]
								{
									["y"] = -340.9037316249472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 383.5702961666696,
								}, -- [6]
								{
									["y"] = -108.6074534841965,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 295.318517876185,
								}, -- [7]
								{
									["y"] = -111.4518724460358,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.555607613442,
								}, -- [8]
								{
									["y"] = -123.7777433865949,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 295.392608064319,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1 - Sulfuras Smash"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -186.3557133537916,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 171.9852105755942,
								}, -- [1]
								{
									["y"] = -202.4739882637923,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 287.2220989808182,
								}, -- [2]
								{
									["y"] = -257.46669510664,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.6520233629958,
								}, -- [3]
								{
									["y"] = -184.459218124588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 149.8148072187655,
								}, -- [4]
								{
									["y"] = -166.4445180139169,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 131.362953989544,
								}, -- [5]
								{
									["y"] = -264.103841919887,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 342.2147357951326,
								}, -- [6]
								{
									["y"] = -324.7851240794137,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 237.9184926686486,
								}, -- [7]
								{
									["y"] = -159.8073536935367,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.4592703040517,
								}, -- [8]
								{
									["y"] = -213.851926718149,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 362.6372269630916,
								}, -- [9]
								{
									["y"] = -315.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 299.111263234726,
								}, -- [10]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 118.0150166068153,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Spine of Deathwing"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
		},
                 	[8] = {
                    ["name"] = BabbleBoss["Madness of Deathwing"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25-Madness of Deathwing"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Madness of Deathwing"],} }, --optional
                    ["ratext"] = L["ra-Madness of Deathwing"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -229.0222253741141,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 340.3925933610626,
								}, -- [1]
								{
									["y"] = -238.5036685992673,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.518578795538,
								}, -- [2]
								{
									["y"] = -223.3333174219023,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 322.8147312405425,
								}, -- [3]
								{
									["y"] = -176.8740950573054,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 157.3259276335806,
								}, -- [4]
								{
									["y"] = -220.4889509814629,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 355.9258323975109,
								}, -- [5]
								{
									["y"] = -210.0593214166745,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 138.2889860094069,
								}, -- [6]
								{
									["y"] = -357.0221290848809,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 266.7260778529908,
								}, -- [7]
								{
									["y"] = -184.4593581816544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 345.0591547569719,
								}, -- [8]
								{
									["y"] = -339.0074990027431,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 240.7629291376212,
								}, -- [9]
								{
									["y"] = -247.0370480347183,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [10]
								{
									["y"] = -218.5925958093257,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 179.6444063238775,
								}, -- [11]
								{
									["y"] = -243.2443902118438,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 169.2150218589553,
								}, -- [12]
								{
									["y"] = -252.7260435225966,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0667427315136,
								}, -- [13]
								{
									["y"] = -182.562985502384,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 256.8814666546214,
								}, -- [14]
								{
									["y"] = -160.7555400331719,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 268.6222754609283,
								}, -- [15]
								{
									["y"] = -218.5925958093257,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 162.1406343914914,
								}, -- [16]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Madness of Deathwing"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Onyxia"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -229.9703416852161,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 105.6889180735233,
								}, -- [1]
								{
									["y"] = -247.0370480347183,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 103.3555323327688,
								}, -- [2]
								{
									["y"] = -247.9852343743535,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 119.0371618310848,
								}, -- [3]
								{
									["y"] = -319.0964962413348,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 381.5999733563315,
								}, -- [4]
								{
									["y"] = -324.7850540508805,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 361.2517824621061,
								}, -- [5]
								{
									["y"] = -340.9037316249472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 383.5702961666696,
								}, -- [6]
								{
									["y"] = -108.6074534841965,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 295.318517876185,
								}, -- [7]
								{
									["y"] = -111.4518724460358,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.555607613442,
								}, -- [8]
								{
									["y"] = -123.7777433865949,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 295.392608064319,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1 - Sulfuras Smash"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -186.3557133537916,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 171.9852105755942,
								}, -- [1]
								{
									["y"] = -202.4739882637923,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 287.2220989808182,
								}, -- [2]
								{
									["y"] = -257.46669510664,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.6520233629958,
								}, -- [3]
								{
									["y"] = -184.459218124588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 149.8148072187655,
								}, -- [4]
								{
									["y"] = -166.4445180139169,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 131.362953989544,
								}, -- [5]
								{
									["y"] = -264.103841919887,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 342.2147357951326,
								}, -- [6]
								{
									["y"] = -324.7851240794137,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 237.9184926686486,
								}, -- [7]
								{
									["y"] = -159.8073536935367,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.4592703040517,
								}, -- [8]
								{
									["y"] = -213.851926718149,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 362.6372269630916,
								}, -- [9]
								{
									["y"] = -315.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 299.111263234726,
								}, -- [10]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 118.0150166068153,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Madness of Deathwing"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
            --the next mode could start here
			["mode25hc"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Morchok"],
					["displayId"] = 53691,
                    ["ratext"] = L["ra-Morchok"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Morchok"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Morchok"],} }, --optional
                    
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 7, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
							{
										["y"] = -316.9056535799249,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 270.5318135044419,
									}, -- [1]
									{
										["y"] = -426.9930430345169,
										["type"] = "h",
										["x"] = 252.0258282190506,
									}, -- [2]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 252.0258282190506,
									}, -- [3]
									{
										["y"] = -426.9930430345169,
										["type"] = "f",
										["x"] = 287.0817267860028,
									}, -- [4]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 287.0817267860028,
									}, -- [5]
									{
										["y"] = -386.9473521520883,
										["type"] = "h",
										["x"] = 266.6898731013224,
									}, -- [6]
									{
										["y"] = -275.9762868614914,
										["type"] = "t",
										["x"] = 267.4463738384342,
									}, -- [7]
										
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
										["y"] = -316.9056535799249,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 270.5318135044419,
									}, -- [1]
									{
										["y"] = -186.9930430345169,
										["type"] = "h",
										["x"] = 169.5139736672199,
									}, -- [2]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 252.0258282190506,
									}, -- [3]
									{
										["y"] = -167.0491443696341,
										["type"] = "f",
										["x"] = 202.2175262680516,
									}, -- [4]
									{
										["y"] = -357.6397107192416,
										["type"] = "n",
										["x"] = 287.0817267860028,
									}, -- [5]
									{
										["y"] = -386.9473521520883,
										["type"] = "h",
										["x"] = 266.6898731013224,
									}, -- [6]
									{
										["y"] = -152.4558283059024,
										["type"] = "x",
										["x"] = 170.7748724218951,
									}, -- [7]
									{
										["y"] = -275.9762868614914,
										["type"] = "t",
										["x"] = 267.4463738384342,
									}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Left"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
				    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Spark"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
							},
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
										["y"] = -324.2344897227998,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 267.9808316038771,
									}, -- [1]
									{
										["y"] = -302.326413251368,
										["type"] = "n",
										["caption"] = " ",
										["x"] = 443.2627929444338,
									}, -- [2]
									{
										["y"] = -429.6647574089196,
										["type"] = "f",
										["caption"] = " ",
										["x"] = 417.2031098960371,
									}, -- [3]
									{
										["y"] = -405.8445518382456,
										["type"] = "h",
										["caption"] = " ",
										["x"] = 425.2929461092824,
									}, -- [4]
									{
										["y"] = -277.3939970091525,
										["type"] = "t",
										["caption"] = " ",
										["x"] = 445.7795834136599,
									}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Right"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Warlord Zon'ozz"],
					["displayId"] = 52498,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Warlord Zon'ozz"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Warlord Zon'ozz"],} }, --optional
                    ["ratext"] = L["ra-Warlord Zon'ozz"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -388.6071684461824,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 270.4666869685585,
								}, -- [2]
								{
									["y"] = -387.4724611083479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 238.0878741833452,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -258.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 259.2030571010882,
								}, -- [5]
								{
									["y"] = -362.7914998217487,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 268.9959126998592,
								}, -- [6]
								{
									["y"] = -312.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 251.4456632950162,
								}, -- [7]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"].." "..L["Range"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Orb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -388.6071684461824,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 270.4666869685585,
								}, -- [2]
								{
									["y"] = -387.4724611083479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 238.0878741833452,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -304.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 269.2030571010882,
								}, -- [5]
								{
									["y"] = -326.7914998217487,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 268.9959126998592,
								}, -- [6]
								{
									["y"] = -271.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 226.4456632950162,
								}, -- [7]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"].." "..L["Melee"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Orb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -304.1412026894513,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 297.4666869685585,
								}, -- [2]
								{
									["y"] = -277.8710488844981,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 307.5377480806951,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -304.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 269.2030571010882,
								}, -- [5]
								{
									["y"] = -271.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 226.4456632950162,
								}, -- [6]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[3] = {
                    ["name"] = BabbleBoss["Yor'sahj the Unsleeping"],
					["displayId"] = 52558,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Yor'sahj the Unsleeping"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Yor'sahj the Unsleeping"],} }, --optional
                    ["ratext"] = L["ra-Yor'sahj the Unsleeping"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Yor'sahj_the_Unsleeping",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -307.0552300132993,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 220.1278313428429,
								}, -- [1]
								{
									["y"] = -333.1289187683376,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 258.8221673954125,
								}, -- [2]
								{
									["y"] = -309.5214948958158,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 248.2216331953302,
								}, -- [3]
								{
									["y"] = -312.0367097230447,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 284.977089248972,
								}, -- [4]
								{
									["y"] = -292.0063083125168,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 273.129889593589,
								}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Yor'sahj the Unsleeping"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Yor'sahj_the_Unsleeping",
                            ["btnId"] = 7,
                            ["buttons"] = {
								{
									["y"] = -405.0245177143808,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 212.6444247200449,
								}, -- [1]
								{
									["y"] = -386.0000501962338,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 175.000043972995,
								}, -- [2]
								{
									["y"] = -373.1782369099472,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 204.642334258909,
								}, -- [3]
								{
									["y"] = -315.4112446812679,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 244.6882385095247,
								}, -- [4]
								{
									["y"] = -359.0552324752399,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 365.0461384769109,
								}, -- [5]
								{
									["y"] = -197.6808678012429,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 211.4432953184626,
								}, -- [6]
								{
									["y"] = -423.8406593733499,
									["type"] = "z",
									["caption"] = " ",
									["x"] = 175.4164686457159,
								}, -- [7]
								{
									["y"] = -383.1782369099472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 240.642334258909,
								}, -- [3]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Blood of Shu'ma\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Yor'sahj the Unsleeping"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
				    [8] = {
                                        ["type"] = "z",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 205/255,
                                        ["g"] = 120/255,
                                        ["b"] = 60/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[4] = {
                    ["name"] = BabbleBoss["Hagara the Stormbinder"],
					["displayId"] = 52530,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Hagara the Stormbinder"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Hagara the Stormbinder"],} }, --optional
                    ["ratext"] = L["ra-Hagara the Stormbinder"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -422.2845903512034,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 301.9365994212661,
								}, -- [1]
								{
									["y"] = -446.3634112950143,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 213.41027426634,
								}, -- [2]
								{
									["y"] = -463.5375589215907,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 242.8110361412199,
								}, -- [3]
								{
									["y"] = -366.4018908798162,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 334.3001810005067,
								}, -- [4]
								{
									["y"] = -387.8081078680135,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 312.1285521443469,
								}, -- [5]
								{
									["y"] = -403.3215638438306,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.3731482701687,
								}, -- [6]
								{
									["y"] = -386.3769697491098,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 398.1837804479652,
								}, -- [7]
								{
									["y"] = -349.3059651248331,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 410.1597450687842,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -422.2845903512034,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 301.9365994212661,
								}, -- [1]
								{
									["y"] = -446.3634112950143,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 213.41027426634,
								}, -- [2]
								{
									["y"] = -463.5375589215907,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 242.8110361412199,
								}, -- [3]
								{
									["y"] = -366.4018908798162,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 334.3001810005067,
								}, -- [4]
								{
									["y"] = -297.8036904626677,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 246.5355912155497,
								}, -- [5]
								{
									["y"] = -403.3215638438306,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.3731482701687,
								}, -- [6]
								{
									["y"] = -386.3769697491098,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 398.1837804479652,
								}, -- [7]
								{
									["y"] = -349.3059651248331,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 410.1597450687842,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Ice"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -209.4253005841433,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 139.7104164228946,
								}, -- [1]
								{
									["y"] = -416.9736964212479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 328.2033918566253,
								}, -- [2]
								{
									["y"] = -445.8747521902894,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 228.350931854783,
								}, -- [3]
								{
									["y"] = -162.2185761489518,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 234.0693918480085,
								}, -- [4]
								{
									["y"] = -307.0235771162893,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 389.1297913895131,
								}, -- [5]
								{
									["y"] = -208.2821548080572,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 325.8996281854178,
								}, -- [6]
								{
									["y"] = -295.4480006340865,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 89.64222983159438,
								}, -- [7]
								{
									["y"] = -297.8036904626677,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 246.5355912155497,
								}, -- [8]
								{
									["y"] = -384.969361217364,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 115.0690300111246,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Electricute"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
                    },
                },
				[5] = {
                    ["name"] = BabbleBoss["Ultraxion"],
					["displayId"] = 53494,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Ultraxion"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Ultraxion"],} }, --optional
                    ["ratext"] = L["ra-Ultraxion"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Ultraxion",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Ultraxion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Ultraxion",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Ultraxion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[6] = {
                    ["name"] = BabbleBoss["Warmaster Blackhorn"],
					["displayId"] = 52571,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Warmaster Blackhorn"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Warmaster Blackhorn"],} }, --optional
                    ["ratext"] = L["ra-Warmaster Blackhorn"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -229.0222253741141,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 340.3925933610626,
								}, -- [1]
								{
									["y"] = -238.5036685992673,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.518578795538,
								}, -- [2]
								{
									["y"] = -223.3333174219023,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 322.8147312405425,
								}, -- [3]
								{
									["y"] = -176.8740950573054,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 157.3259276335806,
								}, -- [4]
								{
									["y"] = -220.4889509814629,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 355.9258323975109,
								}, -- [5]
								{
									["y"] = -210.0593214166745,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 138.2889860094069,
								}, -- [6]
								{
									["y"] = -357.0221290848809,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 266.7260778529908,
								}, -- [7]
								{
									["y"] = -184.4593581816544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 345.0591547569719,
								}, -- [8]
								{
									["y"] = -339.0074990027431,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 240.7629291376212,
								}, -- [9]
								{
									["y"] = -247.0370480347183,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [10]
								{
									["y"] = -218.5925958093257,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 179.6444063238775,
								}, -- [11]
								{
									["y"] = -243.2443902118438,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 169.2150218589553,
								}, -- [12]
								{
									["y"] = -252.7260435225966,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0667427315136,
								}, -- [13]
								{
									["y"] = -182.562985502384,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 256.8814666546214,
								}, -- [14]
								{
									["y"] = -160.7555400331719,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 268.6222754609283,
								}, -- [15]
								{
									["y"] = -218.5925958093257,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 162.1406343914914,
								}, -- [16]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warmaster Blackhorn"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Onyxia"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -229.9703416852161,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 105.6889180735233,
								}, -- [1]
								{
									["y"] = -247.0370480347183,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 103.3555323327688,
								}, -- [2]
								{
									["y"] = -247.9852343743535,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 119.0371618310848,
								}, -- [3]
								{
									["y"] = -319.0964962413348,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 381.5999733563315,
								}, -- [4]
								{
									["y"] = -324.7850540508805,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 361.2517824621061,
								}, -- [5]
								{
									["y"] = -340.9037316249472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 383.5702961666696,
								}, -- [6]
								{
									["y"] = -108.6074534841965,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 295.318517876185,
								}, -- [7]
								{
									["y"] = -111.4518724460358,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.555607613442,
								}, -- [8]
								{
									["y"] = -123.7777433865949,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 295.392608064319,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -186.3557133537916,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 171.9852105755942,
								}, -- [1]
								{
									["y"] = -202.4739882637923,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 287.2220989808182,
								}, -- [2]
								{
									["y"] = -257.46669510664,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.6520233629958,
								}, -- [3]
								{
									["y"] = -184.459218124588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 149.8148072187655,
								}, -- [4]
								{
									["y"] = -166.4445180139169,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 131.362953989544,
								}, -- [5]
								{
									["y"] = -264.103841919887,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 342.2147357951326,
								}, -- [6]
								{
									["y"] = -324.7851240794137,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 237.9184926686486,
								}, -- [7]
								{
									["y"] = -159.8073536935367,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.4592703040517,
								}, -- [8]
								{
									["y"] = -213.851926718149,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 362.6372269630916,
								}, -- [9]
								{
									["y"] = -315.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 299.111263234726,
								}, -- [10]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 118.0150166068153,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warmaster Blackhorn"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
			[7] = {
                    ["name"] = BabbleBoss["Spine of Deathwing"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Spine of Deathwing"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Spine of Deathwing"],} }, --optional
                    ["ratext"] = L["ra-Spine of Deathwing"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
			[8] = {
                    ["name"] = BabbleBoss["Madness of Deathwing"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic25hc-Madness of Deathwing"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Madness of Deathwing"],} }, --optional
                    ["ratext"] = L["ra-Madness of Deathwing"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
			["mode10"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Morchok"],
					["displayId"] = 53691,
                    ["ratext"] = L["ra-Morchok"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Morchok"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Morchok"],} }, --optional
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 7, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
							{
										["y"] = -316.9056535799249,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 270.5318135044419,
									}, -- [1]
									{
										["y"] = -426.9930430345169,
										["type"] = "h",
										["x"] = 252.0258282190506,
									}, -- [2]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 252.0258282190506,
									}, -- [3]
									{
										["y"] = -426.9930430345169,
										["type"] = "f",
										["x"] = 287.0817267860028,
									}, -- [4]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 287.0817267860028,
									}, -- [5]
									{
										["y"] = -386.9473521520883,
										["type"] = "h",
										["x"] = 266.6898731013224,
									}, -- [6]
									{
										["y"] = -275.9762868614914,
										["type"] = "t",
										["x"] = 267.4463738384342,
									}, -- [7]
										
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
										["y"] = -316.9056535799249,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 270.5318135044419,
									}, -- [1]
									{
										["y"] = -186.9930430345169,
										["type"] = "h",
										["x"] = 169.5139736672199,
									}, -- [2]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 252.0258282190506,
									}, -- [3]
									{
										["y"] = -167.0491443696341,
										["type"] = "f",
										["x"] = 202.2175262680516,
									}, -- [4]
									{
										["y"] = -357.6397107192416,
										["type"] = "n",
										["x"] = 287.0817267860028,
									}, -- [5]
									{
										["y"] = -386.9473521520883,
										["type"] = "h",
										["x"] = 266.6898731013224,
									}, -- [6]
									{
										["y"] = -152.4558283059024,
										["type"] = "x",
										["x"] = 170.7748724218951,
									}, -- [7]
									{
										["y"] = -275.9762868614914,
										["type"] = "t",
										["x"] = 267.4463738384342,
									}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Left"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
				    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Spark"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
							},
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
										["y"] = -324.2344897227998,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 267.9808316038771,
									}, -- [1]
									{
										["y"] = -302.326413251368,
										["type"] = "n",
										["caption"] = " ",
										["x"] = 443.2627929444338,
									}, -- [2]
									{
										["y"] = -429.6647574089196,
										["type"] = "f",
										["caption"] = " ",
										["x"] = 417.2031098960371,
									}, -- [3]
									{
										["y"] = -405.8445518382456,
										["type"] = "h",
										["caption"] = " ",
										["x"] = 425.2929461092824,
									}, -- [4]
									{
										["y"] = -277.3939970091525,
										["type"] = "t",
										["caption"] = " ",
										["x"] = 445.7795834136599,
									}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Right"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Warlord Zon'ozz"],
					["displayId"] = 52498,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Warlord Zon'ozz"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Warlord Zon'ozz"],} }, --optional
                    ["ratext"] = L["ra-Warlord Zon'ozz"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -388.6071684461824,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 270.4666869685585,
								}, -- [2]
								{
									["y"] = -387.4724611083479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 238.0878741833452,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -258.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 259.2030571010882,
								}, -- [5]
								{
									["y"] = -362.7914998217487,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 268.9959126998592,
								}, -- [6]
								{
									["y"] = -312.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 251.4456632950162,
								}, -- [7]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"].." "..L["Range"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Orb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -388.6071684461824,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 270.4666869685585,
								}, -- [2]
								{
									["y"] = -387.4724611083479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 238.0878741833452,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -304.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 269.2030571010882,
								}, -- [5]
								{
									["y"] = -326.7914998217487,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 268.9959126998592,
								}, -- [6]
								{
									["y"] = -271.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 226.4456632950162,
								}, -- [7]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"].." "..L["Melee"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Orb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -304.1412026894513,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 297.4666869685585,
								}, -- [2]
								{
									["y"] = -277.8710488844981,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 307.5377480806951,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -304.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 269.2030571010882,
								}, -- [5]
								{
									["y"] = -271.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 226.4456632950162,
								}, -- [6]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[3] = {
                    ["name"] = BabbleBoss["Yor'sahj the Unsleeping"],
					["displayId"] = 52558,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Yor'sahj the Unsleeping"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Yor'sahj the Unsleeping"],} }, --optional
                    ["ratext"] = L["ra-Yor'sahj the Unsleeping"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Yor'sahj_the_Unsleeping",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -307.0552300132993,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 220.1278313428429,
								}, -- [1]
								{
									["y"] = -333.1289187683376,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 258.8221673954125,
								}, -- [2]
								{
									["y"] = -309.5214948958158,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 248.2216331953302,
								}, -- [3]
								{
									["y"] = -312.0367097230447,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 284.977089248972,
								}, -- [4]
								{
									["y"] = -292.0063083125168,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 273.129889593589,
								}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Yor'sahj the Unsleeping"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Yor'sahj_the_Unsleeping",
                            ["btnId"] = 7,
                            ["buttons"] = {
								{
									["y"] = -405.0245177143808,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 212.6444247200449,
								}, -- [1]
								{
									["y"] = -386.0000501962338,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 175.000043972995,
								}, -- [2]
								{
									["y"] = -373.1782369099472,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 204.642334258909,
								}, -- [3]
								{
									["y"] = -315.4112446812679,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 244.6882385095247,
								}, -- [4]
								{
									["y"] = -359.0552324752399,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 365.0461384769109,
								}, -- [5]
								{
									["y"] = -197.6808678012429,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 211.4432953184626,
								}, -- [6]
								{
									["y"] = -423.8406593733499,
									["type"] = "z",
									["caption"] = " ",
									["x"] = 175.4164686457159,
								}, -- [7]
								{
									["y"] = -383.1782369099472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 240.642334258909,
								}, -- [3]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Blood of Shu'ma\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Yor'sahj the Unsleeping"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
				    [8] = {
                                        ["type"] = "z",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 205/255,
                                        ["g"] = 120/255,
                                        ["b"] = 60/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[4] = {
                    ["name"] = BabbleBoss["Hagara the Stormbinder"],
					["displayId"] = 52530,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Hagara the Stormbinder"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Hagara the Stormbinder"],} }, --optional
                    ["ratext"] = L["ra-Hagara the Stormbinder"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -422.2845903512034,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 301.9365994212661,
								}, -- [1]
								{
									["y"] = -446.3634112950143,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 213.41027426634,
								}, -- [2]
								{
									["y"] = -463.5375589215907,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 242.8110361412199,
								}, -- [3]
								{
									["y"] = -366.4018908798162,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 334.3001810005067,
								}, -- [4]
								{
									["y"] = -387.8081078680135,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 312.1285521443469,
								}, -- [5]
								{
									["y"] = -403.3215638438306,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.3731482701687,
								}, -- [6]
								{
									["y"] = -386.3769697491098,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 398.1837804479652,
								}, -- [7]
								{
									["y"] = -349.3059651248331,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 410.1597450687842,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -422.2845903512034,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 301.9365994212661,
								}, -- [1]
								{
									["y"] = -446.3634112950143,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 213.41027426634,
								}, -- [2]
								{
									["y"] = -463.5375589215907,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 242.8110361412199,
								}, -- [3]
								{
									["y"] = -366.4018908798162,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 334.3001810005067,
								}, -- [4]
								{
									["y"] = -297.8036904626677,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 246.5355912155497,
								}, -- [5]
								{
									["y"] = -403.3215638438306,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.3731482701687,
								}, -- [6]
								{
									["y"] = -386.3769697491098,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 398.1837804479652,
								}, -- [7]
								{
									["y"] = -349.3059651248331,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 410.1597450687842,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Ice"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -209.4253005841433,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 139.7104164228946,
								}, -- [1]
								{
									["y"] = -416.9736964212479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 328.2033918566253,
								}, -- [2]
								{
									["y"] = -445.8747521902894,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 228.350931854783,
								}, -- [3]
								{
									["y"] = -162.2185761489518,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 234.0693918480085,
								}, -- [4]
								{
									["y"] = -307.0235771162893,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 389.1297913895131,
								}, -- [5]
								{
									["y"] = -208.2821548080572,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 325.8996281854178,
								}, -- [6]
								{
									["y"] = -295.4480006340865,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 89.64222983159438,
								}, -- [7]
								{
									["y"] = -297.8036904626677,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 246.5355912155497,
								}, -- [8]
								{
									["y"] = -384.969361217364,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 115.0690300111246,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Electricute"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
                    },
                },
				[5] = {
                    ["name"] = BabbleBoss["Ultraxion"],
					["displayId"] = 53494,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Ultraxion"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Ultraxion"],} }, --optional
                    ["ratext"] = L["ra-Ultraxion"],
                    ["imgdata"] = {
                       [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Ultraxion",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -146.0000029005851,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 204.0000198461087,
								}, -- [1]
								{
									["y"] = -247.9999835124636,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 73.00000145029256,
								}, -- [2]
								{
									["y"] = -337.9999100818614,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 277.0000115260093,
								}, -- [3]
								{
									["y"] = -253.9999812225279,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 200.9999819095086,
								}, -- [4]
								{
									["y"] = -213.0001727374768,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 271.999993893505,
								}, -- [5]
								{
									["y"] = -249.0001394570792,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 358.0000587750142,
								}, -- [6]
								{
									["y"] = -140.9999657272969,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 347.0000043508777,
								}, -- [7]
								{
									["y"] = -361.0001553339661,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 137.0000454170564,
								}, -- [8]
								{
									["y"] = -348.0001798362773,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 423.9999945041545,
								}, -- [9]
								{
									["y"] = -436.9999700018434,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 75.99999053493278,
								}, -- [10]
								{
									["y"] = -438.9998910753957,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 366.0000557217667,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Ultraxion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Ultraxion",
                            ["btnId"] = 6,
                            ["buttons"] = {
								{
									["y"] = -209.0001742641006,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 277.9999329812176,
								}, -- [1]
								{
									["y"] = -302.9999234398192,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 270.9999551935931,
								}, -- [2]
								{
									["y"] = -286.0001253358095,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 265.0000551874484,
								}, -- [3]
								{
									["y"] = -318.9999368741081,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 259.0000183958161,
								}, -- [4]
								{
									["y"] = -314.0000755678754,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 286.999988168666,
								}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Ultraxion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[6] = {
                    ["name"] = BabbleBoss["Warmaster Blackhorn"],
					["displayId"] = 52571,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Warmaster Blackhorn"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Warmaster Blackhorn"],} }, --optional
                    ["ratext"] = L["ra-Warmaster Blackhorn"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -229.0222253741141,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 340.3925933610626,
								}, -- [1]
								{
									["y"] = -238.5036685992673,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.518578795538,
								}, -- [2]
								{
									["y"] = -223.3333174219023,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 322.8147312405425,
								}, -- [3]
								{
									["y"] = -176.8740950573054,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 157.3259276335806,
								}, -- [4]
								{
									["y"] = -220.4889509814629,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 355.9258323975109,
								}, -- [5]
								{
									["y"] = -210.0593214166745,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 138.2889860094069,
								}, -- [6]
								{
									["y"] = -357.0221290848809,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 266.7260778529908,
								}, -- [7]
								{
									["y"] = -184.4593581816544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 345.0591547569719,
								}, -- [8]
								{
									["y"] = -339.0074990027431,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 240.7629291376212,
								}, -- [9]
								{
									["y"] = -247.0370480347183,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [10]
								{
									["y"] = -218.5925958093257,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 179.6444063238775,
								}, -- [11]
								{
									["y"] = -243.2443902118438,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 169.2150218589553,
								}, -- [12]
								{
									["y"] = -252.7260435225966,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0667427315136,
								}, -- [13]
								{
									["y"] = -182.562985502384,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 256.8814666546214,
								}, -- [14]
								{
									["y"] = -160.7555400331719,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 268.6222754609283,
								}, -- [15]
								{
									["y"] = -218.5925958093257,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 162.1406343914914,
								}, -- [16]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warmaster Blackhorn"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Onyxia"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -229.9703416852161,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 105.6889180735233,
								}, -- [1]
								{
									["y"] = -247.0370480347183,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 103.3555323327688,
								}, -- [2]
								{
									["y"] = -247.9852343743535,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 119.0371618310848,
								}, -- [3]
								{
									["y"] = -319.0964962413348,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 381.5999733563315,
								}, -- [4]
								{
									["y"] = -324.7850540508805,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 361.2517824621061,
								}, -- [5]
								{
									["y"] = -340.9037316249472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 383.5702961666696,
								}, -- [6]
								{
									["y"] = -108.6074534841965,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 295.318517876185,
								}, -- [7]
								{
									["y"] = -111.4518724460358,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.555607613442,
								}, -- [8]
								{
									["y"] = -123.7777433865949,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 295.392608064319,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -186.3557133537916,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 171.9852105755942,
								}, -- [1]
								{
									["y"] = -202.4739882637923,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 287.2220989808182,
								}, -- [2]
								{
									["y"] = -257.46669510664,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.6520233629958,
								}, -- [3]
								{
									["y"] = -184.459218124588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 149.8148072187655,
								}, -- [4]
								{
									["y"] = -166.4445180139169,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 131.362953989544,
								}, -- [5]
								{
									["y"] = -264.103841919887,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 342.2147357951326,
								}, -- [6]
								{
									["y"] = -324.7851240794137,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 237.9184926686486,
								}, -- [7]
								{
									["y"] = -159.8073536935367,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.4592703040517,
								}, -- [8]
								{
									["y"] = -213.851926718149,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 362.6372269630916,
								}, -- [9]
								{
									["y"] = -315.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 299.111263234726,
								}, -- [10]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 118.0150166068153,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warmaster Blackhorn"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
			[7] = {
                    ["name"] = BabbleBoss["Spine of Deathwing"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Spine of Deathwing"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Spine of Deathwing"],} }, --optional
                    ["ratext"] = L["ra-Spine of Deathwing"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 14,
                            ["buttons"] = {
								{
									["y"] = -223.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 96.555551946229,
								}, -- [1]
								{
									["y"] = -252.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 80.0000451355781,
								}, -- [2]
								{
									["y"] = -249.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 71.3702674577064,
								}, -- [3]
								{
									["y"] = -326.7110895584927,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 174.5334014561421,
								}, -- [4]
								{
									["y"] = -252.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 250.0000451355781,
								}, -- [5]
								{
									["y"] = -335.673976008799,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 192.4742039571456,
								}, -- [6]
								{
									["y"] = -233.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 256.555551946229,
								}, -- [7]
								{
									["y"] = -316.1925940586124,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 192.9778186672681,
								}, -- [8]
								{
									["y"] = -302.4594019494877,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 167.4518987067357,
								}, -- [9]
								{
									["y"] = -249.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 271.3702674577064,
								}, -- [10]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1 - Sulfuras Smash"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -218.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 143.555551946229,
								}, -- [1]
								{
									["y"] = -257.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 159.0000451355781,
								}, -- [2]
								{
									["y"] = -255.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 201.3702674577064,
								}, -- [3]
								{
									["y"] = -284.7110895584927,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 237.5334014561421,
								}, -- [4]
								{
									["y"] = -263.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 278.0000451355781,
								}, -- [5]
								{
									["y"] = -316.673976008799,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 248.4742039571456,
								}, -- [6]
								{
									["y"] = -232.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 182.555551946229,
								}, -- [7]
								{
									["y"] = -289.1925940586124,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 325.9778186672681,
								}, -- [8]
								{
									["y"] = -289.4594019494877,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 166.4518987067357,
								}, -- [9]
								{
									["y"] = -230.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 306.3702674577064,
								}, -- [10]
								{
									["y"] = -253.9408985166876,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 105.0785843923496,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Transition"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Sons Of Flame"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 9,
                            ["buttons"] = {
								{
									["y"] = -225.1851695979603,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 429.9113280111192,
								}, -- [1]
								{
									["y"] = -202.599888966478,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 107.874024686836,
								}, -- [2]
								{
									["y"] = -345.3555207753253,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 126.6221973627008,
								}, -- [3]
								{
									["y"] = -221.7704502294426,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 359.0222281779909,
								}, -- [4]
								{
									["y"] = -225.1185595376913,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 115.651868602673,
								}, -- [5]
								{
									["y"] = -217.4592881531212,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 78.5851769564273,
								}, -- [6]
								{
									["y"] = -382.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 132.9628878180511,
								}, -- [7]
								{
									["y"] = -196.6338887083846,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 379.2904323311343,
								}, -- [8]
								{
									["y"] = -254.6362818514423,										["type"] = "f",
									["caption"] = " ",
									["x"] = 420.6889902220609,
								}, -- [9]
								{
									["y"] = -381.294648951545,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 181.6133460706846,
								}, -- [10]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Seed"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[4] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 9,
                            ["buttons"] = {
								{
									["y"] = -218.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 143.555551946229,
								}, -- [1]
								{
									["y"] = -257.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 159.0000451355781,
								}, -- [2]
								{
									["y"] = -255.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 201.3702674577064,
								}, -- [3]
								{
									["y"] = -284.7110895584927,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 237.5334014561421,
								}, -- [4]
								{
									["y"] = -263.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 278.0000451355781,
								}, -- [5]
								{
									["y"] = -316.673976008799,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 248.4742039571456,
								}, -- [6]
								{
									["y"] = -232.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 182.555551946229,
								}, -- [7]
								{
									["y"] = -289.1925940586124,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 325.9778186672681,
								}, -- [8]
								{
									["y"] = -289.4594019494877,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 166.4518987067357,
								}, -- [9]
								{
									["y"] = -230.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 306.3702674577064,
								}, -- [10]
								{
									["y"] = -253.9408985166876,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 105.0785843923496,
								}, -- [11]
								{
									["y"] = -245.3037508827938,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 117.9628878180511,
								}, -- [12]
								{
									["y"] = -370.9852933925412,
									["type"] = "z",
									["caption"] = " ",
									["x"] = 420.7339485403804,
								}, -- [13]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Transition"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Sons Of Flame"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
				    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Lava Scion"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [6] = {
                                        ["type"] = "z",
                                        ["caption"] = L["Blazing Heat"],
                                        ["r"] = 205/255,
                                        ["g"] = 120/255,
                                        ["b"] = 60/255,
                                    },
                                },
                            },
                        },
						[5] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 9,
                            ["buttons"] = {
								{
									["y"] = -303.1851695979603,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 365.9113280111192,
								}, -- [1]
								{
									["y"] = -219.599888966478,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 154.874024686836,
								}, -- [2]
								{
									["y"] = -325.3555207753253,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.6221973627008,
								}, -- [3]
								{
									["y"] = -228.7704502294426,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 320.0222281779909,
								}, -- [4]
								{
									["y"] = -226.1185595376913,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 178.651868602673,
								}, -- [5]
								{
									["y"] = -290.4592881531212,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 146.5851769564273,
								}, -- [6]
								{
									["y"] = -226.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 256.9628878180511,
								}, -- [7]
								{
									["y"] = -233.8828883569425,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 81.50186803163949,
								}, -- [8]
								{
									["y"] = -246.776611919718,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 406.1902476924265,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
                    },
                },
			[8] = {
                    ["name"] = BabbleBoss["Madness of Deathwing"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10-Madness of Deathwing"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Madness of Deathwing"],} }, --optional
                    ["ratext"] = L["ra-Madness of Deathwing"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 14,
                            ["buttons"] = {
								{
									["y"] = -223.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 96.555551946229,
								}, -- [1]
								{
									["y"] = -252.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 80.0000451355781,
								}, -- [2]
								{
									["y"] = -249.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 71.3702674577064,
								}, -- [3]
								{
									["y"] = -326.7110895584927,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 174.5334014561421,
								}, -- [4]
								{
									["y"] = -252.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 250.0000451355781,
								}, -- [5]
								{
									["y"] = -335.673976008799,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 192.4742039571456,
								}, -- [6]
								{
									["y"] = -233.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 256.555551946229,
								}, -- [7]
								{
									["y"] = -316.1925940586124,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 192.9778186672681,
								}, -- [8]
								{
									["y"] = -302.4594019494877,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 167.4518987067357,
								}, -- [9]
								{
									["y"] = -249.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 271.3702674577064,
								}, -- [10]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1 - Sulfuras Smash"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -218.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 143.555551946229,
								}, -- [1]
								{
									["y"] = -257.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 159.0000451355781,
								}, -- [2]
								{
									["y"] = -255.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 201.3702674577064,
								}, -- [3]
								{
									["y"] = -284.7110895584927,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 237.5334014561421,
								}, -- [4]
								{
									["y"] = -263.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 278.0000451355781,
								}, -- [5]
								{
									["y"] = -316.673976008799,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 248.4742039571456,
								}, -- [6]
								{
									["y"] = -232.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 182.555551946229,
								}, -- [7]
								{
									["y"] = -289.1925940586124,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 325.9778186672681,
								}, -- [8]
								{
									["y"] = -289.4594019494877,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 166.4518987067357,
								}, -- [9]
								{
									["y"] = -230.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 306.3702674577064,
								}, -- [10]
								{
									["y"] = -253.9408985166876,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 105.0785843923496,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Transition"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Sons Of Flame"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 9,
                            ["buttons"] = {
								{
									["y"] = -225.1851695979603,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 429.9113280111192,
								}, -- [1]
								{
									["y"] = -202.599888966478,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 107.874024686836,
								}, -- [2]
								{
									["y"] = -345.3555207753253,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 126.6221973627008,
								}, -- [3]
								{
									["y"] = -221.7704502294426,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 359.0222281779909,
								}, -- [4]
								{
									["y"] = -225.1185595376913,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 115.651868602673,
								}, -- [5]
								{
									["y"] = -217.4592881531212,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 78.5851769564273,
								}, -- [6]
								{
									["y"] = -382.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 132.9628878180511,
								}, -- [7]
								{
									["y"] = -196.6338887083846,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 379.2904323311343,
								}, -- [8]
								{
									["y"] = -254.6362818514423,										["type"] = "f",
									["caption"] = " ",
									["x"] = 420.6889902220609,
								}, -- [9]
								{
									["y"] = -381.294648951545,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 181.6133460706846,
								}, -- [10]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Seed"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[4] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 9,
                            ["buttons"] = {
								{
									["y"] = -218.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 143.555551946229,
								}, -- [1]
								{
									["y"] = -257.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 159.0000451355781,
								}, -- [2]
								{
									["y"] = -255.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 201.3702674577064,
								}, -- [3]
								{
									["y"] = -284.7110895584927,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 237.5334014561421,
								}, -- [4]
								{
									["y"] = -263.7259559869301,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 278.0000451355781,
								}, -- [5]
								{
									["y"] = -316.673976008799,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 248.4742039571456,
								}, -- [6]
								{
									["y"] = -232.3333174219023,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 182.555551946229,
								}, -- [7]
								{
									["y"] = -289.1925940586124,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 325.9778186672681,
								}, -- [8]
								{
									["y"] = -289.4594019494877,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 166.4518987067357,
								}, -- [9]
								{
									["y"] = -230.8814669965576,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 306.3702674577064,
								}, -- [10]
								{
									["y"] = -253.9408985166876,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 105.0785843923496,
								}, -- [11]
								{
									["y"] = -245.3037508827938,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 117.9628878180511,
								}, -- [12]
								{
									["y"] = -370.9852933925412,
									["type"] = "z",
									["caption"] = " ",
									["x"] = 420.7339485403804,
								}, -- [13]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Transition"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Sons Of Flame"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
				    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Lava Scion"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [6] = {
                                        ["type"] = "z",
                                        ["caption"] = L["Blazing Heat"],
                                        ["r"] = 205/255,
                                        ["g"] = 120/255,
                                        ["b"] = 60/255,
                                    },
                                },
                            },
                        },
						[5] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 9,
                            ["buttons"] = {
								{
									["y"] = -303.1851695979603,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 365.9113280111192,
								}, -- [1]
								{
									["y"] = -219.599888966478,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 154.874024686836,
								}, -- [2]
								{
									["y"] = -325.3555207753253,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.6221973627008,
								}, -- [3]
								{
									["y"] = -228.7704502294426,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 320.0222281779909,
								}, -- [4]
								{
									["y"] = -226.1185595376913,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 178.651868602673,
								}, -- [5]
								{
									["y"] = -290.4592881531212,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 146.5851769564273,
								}, -- [6]
								{
									["y"] = -226.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 256.9628878180511,
								}, -- [7]
								{
									["y"] = -233.8828883569425,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 81.50186803163949,
								}, -- [8]
								{
									["y"] = -246.776611919718,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 406.1902476924265,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
			["mode10hc"] = {
		    -- first boss
                [1] = {
                    ["name"] = BabbleBoss["Morchok"],
					["displayId"] = 53691,
                    ["ratext"] = L["ra-Morchok"], --lines seperated by \n
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Morchok"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Morchok"],} }, --optional
                    
                    ["imgdata"] = {
                        --first image
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 7, --start id of new buttons set this to the number of buttons on your current image +1
                            ["buttons"] = {
							{
										["y"] = -316.9056535799249,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 270.5318135044419,
									}, -- [1]
									{
										["y"] = -426.9930430345169,
										["type"] = "h",
										["x"] = 252.0258282190506,
									}, -- [2]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 252.0258282190506,
									}, -- [3]
									{
										["y"] = -426.9930430345169,
										["type"] = "f",
										["x"] = 287.0817267860028,
									}, -- [4]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 287.0817267860028,
									}, -- [5]
									{
										["y"] = -386.9473521520883,
										["type"] = "h",
										["x"] = 266.6898731013224,
									}, -- [6]
									{
										["y"] = -275.9762868614914,
										["type"] = "t",
										["x"] = 267.4463738384342,
									}, -- [7]
										
                            },
                            ["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 227,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
										["y"] = -316.9056535799249,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 270.5318135044419,
									}, -- [1]
									{
										["y"] = -186.9930430345169,
										["type"] = "h",
										["x"] = 169.5139736672199,
									}, -- [2]
									{
										["y"] = -359.195884784188,
										["type"] = "n",
										["x"] = 252.0258282190506,
									}, -- [3]
									{
										["y"] = -167.0491443696341,
										["type"] = "f",
										["x"] = 202.2175262680516,
									}, -- [4]
									{
										["y"] = -357.6397107192416,
										["type"] = "n",
										["x"] = 287.0817267860028,
									}, -- [5]
									{
										["y"] = -386.9473521520883,
										["type"] = "h",
										["x"] = 266.6898731013224,
									}, -- [6]
									{
										["y"] = -152.4558283059024,
										["type"] = "x",
										["x"] = 170.7748724218951,
									}, -- [7]
									{
										["y"] = -275.9762868614914,
										["type"] = "t",
										["x"] = 267.4463738384342,
									}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Left"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
				    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Spark"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
							},
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Morchok",
                            ["btnId"] = 2,
                            ["buttons"] = {
								{
										["y"] = -324.2344897227998,
										["type"] = "b",
										["caption"] = " ",
										["x"] = 267.9808316038771,
									}, -- [1]
									{
										["y"] = -302.326413251368,
										["type"] = "n",
										["caption"] = " ",
										["x"] = 443.2627929444338,
									}, -- [2]
									{
										["y"] = -429.6647574089196,
										["type"] = "f",
										["caption"] = " ",
										["x"] = 417.2031098960371,
									}, -- [3]
									{
										["y"] = -405.8445518382456,
										["type"] = "h",
										["caption"] = " ",
										["x"] = 425.2929461092824,
									}, -- [4]
									{
										["y"] = -277.3939970091525,
										["type"] = "t",
										["caption"] = " ",
										["x"] = 445.7795834136599,
									}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 187,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2 - Fire Right"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                               ["entries"] = {
                                      [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Morchok"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
							},
                        },
                    },
                },
                --second boss
                [2] = {
                    ["name"] = BabbleBoss["Warlord Zon'ozz"],
					["displayId"] = 52498,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Warlord Zon'ozz"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Warlord Zon'ozz"],} }, --optional
                    ["ratext"] = L["ra-Warlord Zon'ozz"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -388.6071684461824,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 270.4666869685585,
								}, -- [2]
								{
									["y"] = -387.4724611083479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 238.0878741833452,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -258.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 259.2030571010882,
								}, -- [5]
								{
									["y"] = -362.7914998217487,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 268.9959126998592,
								}, -- [6]
								{
									["y"] = -312.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 251.4456632950162,
								}, -- [7]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"].." "..L["Range"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Orb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -388.6071684461824,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 270.4666869685585,
								}, -- [2]
								{
									["y"] = -387.4724611083479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 238.0878741833452,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -304.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 269.2030571010882,
								}, -- [5]
								{
									["y"] = -326.7914998217487,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 268.9959126998592,
								}, -- [6]
								{
									["y"] = -271.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 226.4456632950162,
								}, -- [7]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"].." "..L["Melee"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Orb"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warlord_Zon'ozz",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -277.8710488844981,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 277.5377480806951,
								}, -- [1]
								{
									["y"] = -304.1412026894513,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 297.4666869685585,
								}, -- [2]
								{
									["y"] = -277.8710488844981,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 307.5377480806951,
								}, -- [3]
								{
									["y"] = -284.0921736890902,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 252.9581881101809,
								}, -- [4]
								{
									["y"] = -304.1412026894513,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 269.2030571010882,
								}, -- [5]
								{
									["y"] = -271.8896634807559,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 226.4456632950162,
								}, -- [6]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warlord Zon'ozz"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[3] = {
                    ["name"] = BabbleBoss["Yor'sahj the Unsleeping"],
					["displayId"] = 52558,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Yor'sahj the Unsleeping"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Yor'sahj the Unsleeping"],} }, --optional
                    ["ratext"] = L["ra-Yor'sahj the Unsleeping"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Yor'sahj_the_Unsleeping",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -307.0552300132993,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 220.1278313428429,
								}, -- [1]
								{
									["y"] = -333.1289187683376,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 258.8221673954125,
								}, -- [2]
								{
									["y"] = -309.5214948958158,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 248.2216331953302,
								}, -- [3]
								{
									["y"] = -312.0367097230447,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 284.977089248972,
								}, -- [4]
								{
									["y"] = -292.0063083125168,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 273.129889593589,
								}, -- [5]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Yor'sahj the Unsleeping"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Yor'sahj_the_Unsleeping",
                            ["btnId"] = 7,
                            ["buttons"] = {
								{
									["y"] = -405.0245177143808,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 212.6444247200449,
								}, -- [1]
								{
									["y"] = -386.0000501962338,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 175.000043972995,
								}, -- [2]
								{
									["y"] = -373.1782369099472,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 204.642334258909,
								}, -- [3]
								{
									["y"] = -315.4112446812679,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 244.6882385095247,
								}, -- [4]
								{
									["y"] = -359.0552324752399,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 365.0461384769109,
								}, -- [5]
								{
									["y"] = -197.6808678012429,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 211.4432953184626,
								}, -- [6]
								{
									["y"] = -423.8406593733499,
									["type"] = "z",
									["caption"] = " ",
									["x"] = 175.4164686457159,
								}, -- [7]
								{
									["y"] = -383.1782369099472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 240.642334258909,
								}, -- [3]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase \"Blood of Shu'ma\""],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Yor'sahj the Unsleeping"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                    [6] = {
                                        ["type"] = "x",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
				    [7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
				    [8] = {
                                        ["type"] = "z",
                                        ["caption"] = L["Blood of Shu'ma"],
                                        ["r"] = 205/255,
                                        ["g"] = 120/255,
                                        ["b"] = 60/255,
                                    },
                                },
                            },
                        },
                    },
                },
				[4] = {
                    ["name"] = BabbleBoss["Hagara the Stormbinder"],
					["displayId"] = 52530,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Hagara the Stormbinder"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Hagara the Stormbinder"],} }, --optional
                    ["ratext"] = L["ra-Hagara the Stormbinder"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -422.2845903512034,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 301.9365994212661,
								}, -- [1]
								{
									["y"] = -446.3634112950143,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 213.41027426634,
								}, -- [2]
								{
									["y"] = -463.5375589215907,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 242.8110361412199,
								}, -- [3]
								{
									["y"] = -366.4018908798162,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 334.3001810005067,
								}, -- [4]
								{
									["y"] = -387.8081078680135,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 312.1285521443469,
								}, -- [5]
								{
									["y"] = -403.3215638438306,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.3731482701687,
								}, -- [6]
								{
									["y"] = -386.3769697491098,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 398.1837804479652,
								}, -- [7]
								{
									["y"] = -349.3059651248331,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 410.1597450687842,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -422.2845903512034,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 301.9365994212661,
								}, -- [1]
								{
									["y"] = -446.3634112950143,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 213.41027426634,
								}, -- [2]
								{
									["y"] = -463.5375589215907,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 242.8110361412199,
								}, -- [3]
								{
									["y"] = -366.4018908798162,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 334.3001810005067,
								}, -- [4]
								{
									["y"] = -297.8036904626677,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 246.5355912155497,
								}, -- [5]
								{
									["y"] = -403.3215638438306,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.3731482701687,
								}, -- [6]
								{
									["y"] = -386.3769697491098,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 398.1837804479652,
								}, -- [7]
								{
									["y"] = -349.3059651248331,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 410.1597450687842,
								}, -- [8]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Ice"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Hagara_the_Stormbinder",
                            ["btnId"] = 11,
                            ["buttons"] = {
								{
									["y"] = -209.4253005841433,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 139.7104164228946,
								}, -- [1]
								{
									["y"] = -416.9736964212479,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 328.2033918566253,
								}, -- [2]
								{
									["y"] = -445.8747521902894,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 228.350931854783,
								}, -- [3]
								{
									["y"] = -162.2185761489518,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 234.0693918480085,
								}, -- [4]
								{
									["y"] = -307.0235771162893,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 389.1297913895131,
								}, -- [5]
								{
									["y"] = -208.2821548080572,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 325.8996281854178,
								}, -- [6]
								{
									["y"] = -295.4480006340865,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 89.64222983159438,
								}, -- [7]
								{
									["y"] = -297.8036904626677,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 246.5355912155497,
								}, -- [8]
								{
									["y"] = -384.969361217364,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 115.0690300111246,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Electricute"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Hagara the Stormbinder"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },							
                        },
                    },
                },
				[5] = {
                    ["name"] = BabbleBoss["Ultraxion"],
					["displayId"] = 53494,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Ultraxion"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Ultraxion"],} }, --optional
                    ["ratext"] = L["ra-Ultraxion"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Ultraxion",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Ultraxion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Ultraxion",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Ultraxion"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
                                },
                            },
                        },
                    },
                },
				[6] = {
                    ["name"] = BabbleBoss["Warmaster Blackhorn"],
					["displayId"] = 52571,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Warmaster Blackhorn"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Warmaster Blackhorn"],} }, --optional
                    ["ratext"] = L["ra-Warmaster Blackhorn"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 17,
                            ["buttons"] = {
								{
									["y"] = -229.0222253741141,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 340.3925933610626,
								}, -- [1]
								{
									["y"] = -238.5036685992673,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 256.518578795538,
								}, -- [2]
								{
									["y"] = -223.3333174219023,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 322.8147312405425,
								}, -- [3]
								{
									["y"] = -176.8740950573054,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 157.3259276335806,
								}, -- [4]
								{
									["y"] = -220.4889509814629,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 355.9258323975109,
								}, -- [5]
								{
									["y"] = -210.0593214166745,
									["type"] = "x",
									["caption"] = " ",
									["x"] = 138.2889860094069,
								}, -- [6]
								{
									["y"] = -357.0221290848809,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 266.7260778529908,
								}, -- [7]
								{
									["y"] = -184.4593581816544,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 345.0591547569719,
								}, -- [8]
								{
									["y"] = -339.0074990027431,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 240.7629291376212,
								}, -- [9]
								{
									["y"] = -247.0370480347183,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 330.4000468862914,
								}, -- [10]
								{
									["y"] = -218.5925958093257,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 179.6444063238775,
								}, -- [11]
								{
									["y"] = -243.2443902118438,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 169.2150218589553,
								}, -- [12]
								{
									["y"] = -252.7260435225966,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 245.0667427315136,
								}, -- [13]
								{
									["y"] = -182.562985502384,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 256.8814666546214,
								}, -- [14]
								{
									["y"] = -160.7555400331719,
									["type"] = "y",
									["caption"] = " ",
									["x"] = 268.6222754609283,
								}, -- [15]
								{
									["y"] = -218.5925958093257,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 162.1406343914914,
								}, -- [16]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warmaster Blackhorn"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "x",
                                        ["caption"] = BabbleBoss["Onyxia"],
                                        ["r"] = 167/255,
                                        ["g"] = 31/255,
                                        ["b"] = 159/255,
                                    },
									[7] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 10,
                            ["buttons"] = {
								{
									["y"] = -229.9703416852161,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 105.6889180735233,
								}, -- [1]
								{
									["y"] = -247.0370480347183,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 103.3555323327688,
								}, -- [2]
								{
									["y"] = -247.9852343743535,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 119.0371618310848,
								}, -- [3]
								{
									["y"] = -319.0964962413348,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 381.5999733563315,
								}, -- [4]
								{
									["y"] = -324.7850540508805,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 361.2517824621061,
								}, -- [5]
								{
									["y"] = -340.9037316249472,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 383.5702961666696,
								}, -- [6]
								{
									["y"] = -108.6074534841965,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 295.318517876185,
								}, -- [7]
								{
									["y"] = -111.4518724460358,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 282.555607613442,
								}, -- [8]
								{
									["y"] = -123.7777433865949,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 295.392608064319,
								}, -- [9]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 2"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Warmaster_Blackhorn",
                            ["btnId"] = 12,
                            ["buttons"] = {
								{
									["y"] = -186.3557133537916,
									["type"] = "b",
									["caption"] = " ",
									["x"] = 171.9852105755942,
								}, -- [1]
								{
									["y"] = -202.4739882637923,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 287.2220989808182,
								}, -- [2]
								{
									["y"] = -257.46669510664,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 252.6520233629958,
								}, -- [3]
								{
									["y"] = -184.459218124588,
									["type"] = "n",
									["caption"] = " ",
									["x"] = 149.8148072187655,
								}, -- [4]
								{
									["y"] = -166.4445180139169,
									["type"] = "f",
									["caption"] = " ",
									["x"] = 131.362953989544,
								}, -- [5]
								{
									["y"] = -264.103841919887,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 342.2147357951326,
								}, -- [6]
								{
									["y"] = -324.7851240794137,
									["type"] = "t",
									["caption"] = L["Cite-Tank"],
									["x"] = 237.9184926686486,
								}, -- [7]
								{
									["y"] = -159.8073536935367,
									["type"] = "t",
									["caption"] = " ",
									["x"] = 191.4592703040517,
								}, -- [8]
								{
									["y"] = -213.851926718149,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 362.6372269630916,
								}, -- [9]
								{
									["y"] = -315.3037508827938,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 299.111263234726,
								}, -- [10]
								{
									["y"] = -180.6666828516467,
									["type"] = "h",
									["caption"] = " ",
									["x"] = 118.0150166068153,
								}, -- [11]
							},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                    [5] = {
                                        ["type"] = "b",
                                        ["caption"] = BabbleBoss["Warmaster Blackhorn"],
                                        ["r"] = 1,
                                        ["g"] = 0,
                                        ["b"] = 0,
                                    },
									[6] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
			[7] = {
                    ["name"] = BabbleBoss["Spine of Deathwing"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Spine of Deathwing"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Spine of Deathwing"],} }, --optional
                    ["ratext"] = L["ra-Spine of Deathwing"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1 - Sulfuras Smash"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Spine of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
			[8] = {
                    ["name"] = BabbleBoss["Madness of Deathwing"],
					["displayId"] = 52409,
                    ["tactictext"] = { [1] = {["name"] = "BossTactics", ["data"]=L["tactic10hc-Madness of Deathwing"],} },
                    ["trash"] = { [1] = {["name"] = "BossTactics", ["data"]=L["trash-Madness of Deathwing"],} }, --optional
                    ["ratext"] = L["ra-Madness of Deathwing"],
                    ["imgdata"] = {
                        [1] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
						[2] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 1 - Sulfuras Smash"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
                                },
                            },
                        },
						[3] = {
                            ["source"] = "Interface\\Addons\\BT_DragonSoul\\Img\\map_Madness of Deathwing",
                            ["btnId"] = 1,
                            ["buttons"] = {},
							["fontstrings"] = { --optional, put text on your map
                                [1] = {
                                    ["x"] = 207,
                                    ["y"] = -17,
                                    ["text"] = L["Phase 3"],
                                },
								[2] = {
                                    ["x"] = 20,
                                    ["y"] = -170,
                                    ["text"] = L["Entrance"],
                                },
                            },
							["legend"] = { --optional, puts buttons to the legend
                                ["entries"] = {
                                    [1] = {
                                        ["type"] = "h",
                                        ["caption"] = L_main["healer"],
                                        ["r"] = 0,   --not optional
                                        ["g"] = 1,   --not optional
                                        ["b"] = 0,   --not optional
                                    },
                                    [2] = {
                                        ["type"] = "f",
                                        ["caption"] = L_main["ranged DPS"],
                                        ["r"] = 0,
                                        ["g"] = 0,
                                        ["b"] = 1,
                                    },
                                    [3] = {
                                        ["type"] = "t",
                                        ["caption"] = L_main["tank"],
                                        ["r"] = 1,
                                        ["g"] = 1,
                                        ["b"] = 1,
                                    },
                                    [4] = {
                                        ["type"] = "n",
                                        ["caption"] = L_main["melee"],
                                        ["r"] = 235/255,
                                        ["g"] = 228/255,
                                        ["b"] = 45/255,
                                    },
				    [5] = {
                                        ["type"] = "y",
                                        ["caption"] = L["Animated Bone Warrior"],
                                        ["r"] = 215/255,
                                        ["g"] = 121/255,
                                        ["b"] = 210/255,
                                    },
                                },
                            },
                        },
                    },
                },
            },
		},
    },
}

function BT_DragonSoul:OnInitialize()
 	--initialize database
    self.db = LibStub("AceDB-3.0"):New("BT_DragonSoulDB", defaults, "Default") --change the name here
    self:CheckUpdate()

    table.insert(BT_main.modules,self.db.profile)
end;

------------------------------------------------
--this function is needed by the main program! dont touch it!
------------------------------------------------
function BT_DragonSoul:GetDefaults()
	return defaults;
end;

-----------------------------------------------
--handels updates in data
--refer to the tutorial how to get version changes!
-----------------------------------------------

function BT_DragonSoul:CheckUpdate()

	--the versions stored by the client musst be one more
	--because otherwise it woudnt been saved in the savedVariables
	if(not self.db.profile.initial)then
		if(defaults.profile.version+1 > self.db.profile.version)then
			if(defaults.profile.version >= 2)then
			end
		end
	end
	self.db.profile.version = defaults.profile.version+1
	self.db.profile.initial = false
end;

----------------------------------------------------------
--place here the action button functions if you need them
----------------------------------------------------------


----------------------------------------------------------------
--dont touch this functions!
----------------------------------------------------------------

function BT_DragonSoul:ResetData()
	self.db:ResetDB()
	self.db.profile.version = defaults.profile.version+1
	self:Print(L["Module resetted"])
end;

function BT_DragonSoul:OnEnable()
    -- Called when the addon is enabled
end

function BT_DragonSoul:OnDisable()
    -- Called when the addon is disabled
end